--- title: 'Installing Exceed onDemand' taxonomy: category: - docs --- [toc] ## Precautions for Use{#usage_precautions} <!-- <span style="color:red;">Exceed onDemand 8 is available on our supercomputer system.</span> <span style="color:red;">If you use an older version of Exceed onDemand 8, you will not be able to log in. Please update your Exceed onDemand by following the steps below.</span> --> <span style="color:red;">An update module (13.8.12) for Exceed onDemand client is needed. [Please apply the module](#update_module) after installing Exceed onDemand.</span> <span style="color:red;">If you want to use the Exceed onDemand in Mac OS X 10.8 or leter, please check [here](#mountain_lion)</span> ### Current version{#current_version} OS | Version | Update :----------------:|:--------:|:------------: Windows(32/64) | 13.8.12 | 2021/06/04 Mac | 13.8.12.13 | 2021/06/04 Linux(32/64)| 13.8.12.7 | 2021/06/04 ## Getting Exceed onDemand{#getting} First, download the installation file from here, and then decompress it. * [Windows 7/8.1/10(32bit)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD-Client-8.0.0-win32.zip) * [Windows 7/8.1/10(64bit)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD-Client-8.0.0-win64.zip) * [Mac](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Mac/EoDClient8-13.8.12.13.dmg) * [Linux x86(tar)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/linux/eodclient8-13.8.12.1161-linux-i586.tar.gz) * [Linux x64(tar)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/linux/eodclient8-13.8.12.1161-linux-x64.tar.gz) ### Installing Exceed onDemand{#install} 1. Start the the Setup.exe program. **Open Text Exceed onDemand Client 8 -Open Text Setup Wizard** appears, click **次へ(Next)**. ![](eod_install_01.png) 2. Upgrade it to version 8 if your current version is Exceed onDemand 7. Select **旧バージョンの製品を削除します(Uninstall previous version)**, and then click **次へ(Next)**. ![](eod_install_02.png) 3. A license agreement message appears, read it and select **同意します(Agree)**, and then click **次へ(Next)**. ![](eod_install_03.png) 4. Enter your user information and click **次へ(Next)**. ![](eod_install_04.png) 5. Select an installation location (as usual, keep the default) and click **次へ(Next)**. ![](eod_install_05.png) 6. A custom setup window appears. Set up as necessary (as usual, keep the default) and click **次へ(Next)**. ![](eod_install_06.png) 7. An installation option window appears, just click **次へ(Next)**. ![](eod_install_07.png) 8. The **Ready to Install** window appears, click **インストール(Install)** to start installation. ![](eod_install_08.png) ![](eod_install_09.png) 9. When the installation finishes,a setup wizard complete message appears. Click **完了(Finish)** to complete the installation of Exceed onDemand. ![](eod_install_10.png) ## Updating Exceed onDemand Client Module (13.8.12){#update_module} An update module needs to be applied to your Exceed onDemand client. * [Windows 7/8.1/10(32bit)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD_Client_13812.zip) * [Windows 7/8.1/10(64bit)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD_Client_13812_x64.zip) If the problem occurs after applying the above update module, please try applying the update module of the previous version (13.8.6.1). * [Windows 7/8.1/10(32bit)(13.8.6.1)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD_Client_13861.zip) * [Windows 7/8.1/10(64bit)(13.8.6.1)](https://web.kudpc.kyoto-u.ac.jp/Downloads/ExceedonDemandClient/Windows/EoD_Client_13861_x64.zip) Nothing to do for Mac and Linux users. ### Steps for Updating (For Windows){#update_step} 1. Download "EoD_Client_13812(32bit or 64bit you want).zip" , then unzip it. The file is copied to the Exceed onDemand 8 client directory (that contains the ExceedonDemand.exe), the fixed module is applied. If you don’t specify(change) the installation location of the client directory, the directory is created in the following location by default: * C:\Program Files\Hummingbird\Connectivity\Exceed onDemand Cliet 8 2. Start Exceed onDemand and then select “ヘルプ(Help)” > “Exceed onDemand Clientについて(About Exceed onDemand Client).” “ **Version:13.8.12** ” indicates that the fixed module is successfully installed. #### When not successful on the default install If the User Account Control(UAC) is enabled in Windows Vista or 7, enable the module in “管理者として実行(Run as administrator).” Alternatively, extract the file to another location, and then overwrite the following created files manually in the client directory. * ExceedonDemand.exe * EoDConfig.*.nls * EoDRes.*.nls * EoDXstartRes.*.nls * libeay32.dll * ssleay32.dll ## Using EoD Client on Mac OS X 10.8 or Later{#mountain_lion} To use the EoD client on Mac OS X 10.8 or later, install XQuarts on Mac. And then after starting up X11 included in XQuartz, EoD client will be available. * [XQuartz](http://xquartz.macosforge.org/landing/) Please note that in some environments XQuartz 2.7.10 and later may cause a problem that EoD and some GUI apps cannot run. That problem can be avoided by either of the following workarounds. 1. Use XQuartz 2.7.8 2. In the terminal window on MacOSX, type the following command, then use XQuartz 2.7.10 and later ```nohighlight defaults write org.macosforge.xquartz.X11 enable_iglx -bool true ```